org.apache.fop.fonts

## Interface FontCollection

- All Known Implementing Classes:
    AFPBase12FontCollection, AFPFontCollection, Base14FontCollection, Base14FontCollection, ConfiguredFontCollection, CustomFontCollection, InstalledFontCollection

      public interface FontCollection

  Sets up a set of fonts

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

- - ### Method Detail

    - #### setup

          int setup(int start,
                    FontInfo fontInfo)

      Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.
      Parameters:
        `start` - the font starting number
        `fontInfo` - the font info to set up
      Returns:
        the starting font number for the next font to be added

Copyright © 2023 Apache Software Foundation. All rights reserved.